## flask-autoindex 0.6+0git20160725

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/Flask-AutoIndex.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/Flask-AutoIndex.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/Flask-AutoIndex"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/Flask-AutoIndex"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	make -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

## flask-autoindex 0.5

=== debian/changelog ===
flask-autoindex (0.5-3) unstable; urgency=low

  * debian/patches/flask-0.10.patch: Upstream patch to fix test suite with
    flask 0.10. (Closes: #719302)

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 11 Aug 2013 13:35:05 +0200

flask-autoindex (0.5-2) unstable; urgency=low

  * Upload to unstable.

 -- Sebastian Ramacher <sramacher@debian.org>  Thu, 09 May 2013 15:01:32 +0200

flask-autoindex (0.5-1) experimental; urgency=low

  * Initial release. (Closes: #703531)

 -- Sebastian Ramacher <sramacher@debian.org>  Wed, 17 Apr 2013 14:34:53 +0200

=== debian/control ===
Source: flask-autoindex
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Sebastian Ramacher <sramacher@debian.org>
Build-Depends:
 debhelper (>= 9),
 python-all (>= 2.6.6-3~),
 python-setuptools,
 python-sphinx (>= 1.0.7+dfsg),
 python-flask (>= 0.8),
 python-flask-silk
X-Python-Version: >= 2.6
Standards-Version: 3.9.4
Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/flask-autoindex/trunk/
Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/flask-autoindex/trunk/
Homepage: https://github.com/sublee/flask-autoindex

Package: python-flask-autoindex
Architecture: all
Depends:
 ${python:Depends},
 ${misc:Depends},
 python-flask (>= 0.8)
Suggests:
 python-flask-autoindex-doc
Description: automatically generated index pages for Flask applications
 Flask-AutoIndex is a Flask extension that generates index pages for
 directories automatically. The result is similar to the pages generated by
 Apache's mod_autoindex.

Package: python-flask-autoindex-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Description: automatically generated index pages for Flask applications (documentation)
 Flask-AutoIndex is a Flask extension that generates index pages for
 directories automatically. The result is similar to the pages generated by
 Apache's mod_autoindex.
 .
 This package contains the documentation.

=== debian/rules ===
#!/usr/bin/make -f

# Supported Python versions
PYVERS = $(shell pyversions -vr)

# Callable functions to determine the correct PYTHONPATH
pythonpath = $$(ls -d $(CURDIR)/build/lib.*-$(1))

%:
	dh $@ --with=python2,sphinxdoc

override_dh_clean:
	dh_clean
	rm -rf docs/_build

override_dh_auto_build:
	dh_auto_build
	python setup.py build_sphinx

override_dh_auto_install:
	dh_auto_install
	rm debian/tmp/usr/lib/python*/*-packages/Flask_AutoIndex-*.egg-info/SOURCES.txt

override_dh_auto_test:
ifeq (,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
	set -ex && for py in $(PYVERS); do \
		PYTHONPATH=$(call pythonpath,$$py) python$$py setup.py test ;\
	done
endif

=== debian/watch ===
version=3
https://pypi.python.org/pypi/Flask-AutoIndex \
  .*/Flask-AutoIndex-(.*)\.tar\.gz

## flask-autoindex 0.6

=== debian/changelog ===
flask-autoindex (0.6-1) unstable; urgency=medium

  * New upstream release.
  * Build Python 3 package
  * debian/patches:
    - Remove patches integrated upstream.
    - use-default-theme.patch: Use the default sphinx theme since
      flask-small is no longer included.
  * debian/rules: Switch to pybuild.
  * debian/control:
    - Update Vcs-Git.
    - Add python-future to Build-Depensd.
    - Add Python 3 versions of the Build-Depends.
  * debian/copyright:
    - Remove unused paragraph.
    - Update copyright years.

 -- Sebastian Ramacher <sramacher@debian.org>  Sat, 30 Jan 2016 18:27:40 +0100

flask-autoindex (0.5-4) unstable; urgency=medium

  * debian/control:
    - Move package to collab-maint.
    - Bump Standards-Version.
    - Add dh-python to Build-Depends.
  * debian/{rules,python-flask-babel.pyremove}: Use dh_python2 to remove
    SOURCES.txt. (Closes: #803263)
  * debian/python-flask.babel.{pyremove,links}: Move HTML, CSS and image files
    to /usr/share.
  * debian/watch: Use PyPI redirector.
  * debian/patches/github-fork.patch: Copy from flask-openid to fix
    privacy-breach-generic from lintian.

 -- Sebastian Ramacher <sramacher@debian.org>  Wed, 28 Oct 2015 21:23:07 +0100

=== debian/control ===
Source: flask-autoindex
Section: python
Priority: optional
Maintainer: Sebastian Ramacher <sramacher@debian.org>
Build-Depends:
 debhelper (>= 9),
 dh-python,
 python-all,
 python3-all,
 python-setuptools,
 python3-setuptools,
 python-sphinx (>= 1.0.7+dfsg),
 python-flask (>= 0.8),
 python3-flask,
 python-flask-silk,
 python3-flask-silk,
 python-future,
 python3-future
X-Python-Version: >= 2.6
Standards-Version: 3.9.6
Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/flask-autoindex.git
Vcs-Git: https://anonscm.debian.org/git/collab-maint/flask-autoindex.git
Homepage: https://github.com/sublee/flask-autoindex

Package: python-flask-autoindex
Architecture: all
Depends:
 ${python:Depends},
 ${misc:Depends},
 python-flask (>= 0.8)
Suggests:
 python-flask-autoindex-doc
Description: automatically generated index pages for Flask applications (Python 2)
 Flask-AutoIndex is a Flask extension that generates index pages for
 directories automatically. The result is similar to the pages generated by
 Apache's mod_autoindex.
 .
 This package contains the module for Python 2.

Package: python3-flask-autoindex
Architecture: all
Depends:
 ${python3:Depends},
 ${misc:Depends},
Suggests:
 python-flask-autoindex-doc
Description: automatically generated index pages for Flask applications (Python 3)
 Flask-AutoIndex is a Flask extension that generates index pages for
 directories automatically. The result is similar to the pages generated by
 Apache's mod_autoindex.
 .
 This package contains the module for Python 3.

Package: python-flask-autoindex-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Description: automatically generated index pages for Flask applications (documentation)
 Flask-AutoIndex is a Flask extension that generates index pages for
 directories automatically. The result is similar to the pages generated by
 Apache's mod_autoindex.
 .
 This package contains the documentation.

=== debian/rules ===
#!/usr/bin/make -f


%:
	dh $@ --with=python2,python3,sphinxdoc --buildsystem=pybuild

override_dh_clean:
	dh_clean
	rm -rf docs/_build

override_dh_auto_build:
	dh_auto_build
	python setup.py build_sphinx

## flask-autoindex 0.6%2B0git20160725-02b454

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,17 @@
 Source: flask-autoindex
 Section: python
 Priority: optional
-Maintainer: Sebastian Ramacher <sramacher@debian.org>
+Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Uploaders: Jonathan Carter <jcc@debian.org>
 Build-Depends:
- debhelper (>= 9),
+ debhelper (>= 10),
  dh-python,
  python-all,
  python3-all,
  python-setuptools,
  python3-setuptools,
- python-sphinx (>= 1.0.7+dfsg),
+ python-sphinx,
+ python3-sphinx,
  python-flask (>= 0.8),
  python3-flask,
  python-flask-silk,
@@ -17,10 +19,11 @@
  python-future,
  python3-future
 X-Python-Version: >= 2.6
-Standards-Version: 3.9.6
-Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/flask-autoindex.git
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/flask-autoindex.git
+Standards-Version: 4.1.1
+Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/flask-autoindex.git
+Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/flask-autoindex.git
 Homepage: https://github.com/sublee/flask-autoindex
+Testsuite: autopkgtest-pkg-python
 
 Package: python-flask-autoindex
 Architecture: all

## flask-autoindex 0.6+0git20160725-02b454

=== debian/changelog ===
flask-autoindex (0.6+0git20160725-02b454-3) unstable; urgency=medium

  * Fix python3 symlinks (Closes: #881274)

 -- Jonathan Carter <jcc@debian.org>  Mon, 13 Nov 2017 14:38:28 +0200

flask-autoindex (0.6+0git20160725-02b454-2) unstable; urgency=medium

  * Fix typo in debian/copyright
  * Add python3-sphinx as build-dependency
  * Update standards version to 4.1.1 (no related changes)

 -- Jonathan Carter <jcc@debian.org>  Tue, 17 Oct 2017 15:58:44 +0200

flask-autoindex (0.6+0git20160725-02b454-1) unstable; urgency=medium

  * Use correct flask_silk imports (upstream fix in git)

 -- Jonathan Carter <jcc@debian.org>  Tue, 05 Sep 2017 11:48:30 +0200

flask-autoindex (0.6-2) unstable; urgency=medium

  * Adopting packages as part of Python Team (DPMT) (Closes: #873648)
    - Set new maintainer/uploaders
    - Update debian/copyright
  * Bump compat level to 10
  * Update standards version to 4.1.0.0
  * Set testsuite: autopkgtest-pkg-python
  * Add install file for python3 version

 -- Jonathan Carter <jcc@debian.org>  Mon, 04 Sep 2017 12:25:44 +0200

=== debian/rules ===
--- 
+++ 
@@ -1,5 +1,4 @@
 #!/usr/bin/make -f
-
 
 %:
 	dh $@ --with=python2,python3,sphinxdoc --buildsystem=pybuild

## flask-autoindex 0.6.2

=== debian/changelog ===
flask-autoindex (0.6.2-1) unstable; urgency=medium

  * New upstream release
  * Update standards version to 4.2.1

 -- Jonathan Carter <jcc@debian.org>  Mon, 10 Sep 2018 10:22:53 +0200

flask-autoindex (0.6.1-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Remove ancient X-Python-Version field

  [ Jonathan Carter ]
  * New upstream release
  * Update standards version to 4.2.0

 -- Jonathan Carter <jcc@debian.org>  Thu, 02 Aug 2018 17:38:39 +0200

flask-autoindex (0.6+0git20160725-02b454-6) unstable; urgency=medium

  * Re-introduce python2 package (Closes: #893172)

 -- Jonathan Carter <jcc@debian.org>  Mon, 19 Mar 2018 14:05:35 +0200

flask-autoindex (0.6+0git20160725-02b454-5) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * d/copyright: Use https protocol in Format field

  [ Jonathan Carter ]
  * Update compat to level 11
  * Update standards version to 4.1.3
  * Drop python2 version

 -- Jonathan Carter <jcc@debian.org>  Mon, 12 Mar 2018 10:55:13 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders: Jonathan Carter <jcc@debian.org>
 Build-Depends:
- debhelper (>= 10),
+ debhelper (>= 11),
  dh-python,
  python-all,
  python3-all,
@@ -18,10 +18,9 @@
  python3-flask-silk,
  python-future,
  python3-future
-X-Python-Version: >= 2.6
-Standards-Version: 4.1.1
-Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/flask-autoindex.git
-Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/flask-autoindex.git
+Standards-Version: 4.2.1
+Vcs-Git: https://salsa.debian.org/python-team/modules/flask-autoindex.git
+Vcs-Browser: https://salsa.debian.org/python-team/modules/flask-autoindex
 Homepage: https://github.com/sublee/flask-autoindex
 Testsuite: autopkgtest-pkg-python
 
@@ -51,8 +50,6 @@
  Flask-AutoIndex is a Flask extension that generates index pages for
  directories automatically. The result is similar to the pages generated by
  Apache's mod_autoindex.
- .
- This package contains the module for Python 3.
 
 Package: python-flask-autoindex-doc
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -9,4 +9,4 @@
 
 override_dh_auto_build:
 	dh_auto_build
-	python setup.py build_sphinx
+	python3 setup.py build_sphinx

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/Flask-AutoIndex/Flask-AutoIndex-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## flask-autoindex 0.6.6

=== debian/changelog ===
flask-autoindex (0.6.6-3) unstable; urgency=medium

  * Team upload.
  [ Debian Janitor ]
  * Update standards version to 4.6.1, no changes needed.

  [ Carsten Schoenert ]
  * d/gbp.conf: Add default config
  * Adding a patch queue
    Added patch:
    tests-Ignore-test_own_page-partially.patch
    This patch is dropping some parts of the test test_own_page(), so no
    real fix of the underlying issue that has no effect to the package
    itself.
    (Closes: #1026614)
  * d/watch: Update to version 4 and git mode on GH
  * d/control: Add BuildProfileSpecs to B-D
  * d/control: Bump Standards-Version to 4.6.2
    No further modifications needed.
  * d/control: Update upstream homepage data
  * d/copyright: Some small updates to upstream data
  * d/u/metadata: Adding project metadata
  * python-flask-autoindex-doc: Use dh_sphinxdoc for build
  * d/README.source: Adding information about source
  * d/control: Mark python-flask-autoindex-doc M-A: foreign
  * debian/*: Running wrap-and-sort -ast
    No further modifications.
  * d/control: Sort binary packages alphabetically

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sun, 01 Jan 2023 12:34:34 +0100

flask-autoindex (0.6.6-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Jonathan Carter ]
  * Update debhelper-compat to level 13
  * Install usr/bin/*
  * Fix doc-base paths

 -- Jonathan Carter <jcc@debian.org>  Tue, 03 Nov 2020 11:58:43 +0200

flask-autoindex (0.6.6-1) unstable; urgency=medium

  * New upstream release
    - Upstream licence change, bsd -> mit/expat
    - Packaging license change, bsd -> mit/expat
  * Update standards version to 4.5.0
  * Remove documentation privacy patch that is no longer required

 -- Jonathan Carter <jcc@debian.org>  Sat, 28 Mar 2020 11:16:57 +0200

flask-autoindex (0.6.2-5) unstable; urgency=medium

  * Team upload.
  * Drop python2 support; Closes: #936523

 -- Sandro Tosi <morph@debian.org>  Wed, 27 Nov 2019 21:04:59 -0500

flask-autoindex (0.6.2-4) unstable; urgency=medium

  * Fix docbase path
  * Update standards version to 4.4.1
  * Remove ancient versioned dependency on python-flask

 -- Jonathan Carter <jcc@debian.org>  Wed, 16 Oct 2019 10:17:58 +0200

flask-autoindex (0.6.2-3) unstable; urgency=medium

  * Revert python2 drop from previous upload
    - Due to reverse dependency on python-sagenb

 -- Jonathan Carter <jcc@debian.org>  Thu, 19 Sep 2019 13:52:51 +0000

flask-autoindex (0.6.2-2) unstable; urgency=medium

  * Drop python2 support (Closes: #936523)
  * Update standards version to 4.4.0
  * Upgrade to debhelper-compat (=12)
  * Declare Root-Requires-Root: no
  * Update copyright year

 -- Jonathan Carter <jcc@debian.org>  Thu, 19 Sep 2019 13:18:24 +0000

=== debian/control ===
Source: flask-autoindex
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Jonathan Carter <jcc@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 python3-all,
 python3-flask <!nocheck>,
 python3-flask-silk <!nocheck>,
 python3-future <!nocheck>,
 python3-setuptools,
 python3-sphinx <!nodoc>,
Standards-Version: 4.6.2
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/python-team/packages/flask-autoindex.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/flask-autoindex
Homepage: https://github.com/general03/flask-autoindex
Testsuite: autopkgtest-pkg-python

Package: python-flask-autoindex-doc
Architecture: all
Section: doc
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Multi-Arch: foreign
Description: automatically generated index pages for Flask applications (documentation)
 Flask-AutoIndex is a Flask extension that generates index pages for
 directories automatically. The result is similar to the pages generated by
 Apache's mod_autoindex.
 .
 This package contains the documentation.

Package: python3-flask-autoindex
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-flask-autoindex-doc,
Description: automatically generated index pages for Flask applications (Python 3)
 Flask-AutoIndex is a Flask extension that generates index pages for
 directories automatically. The result is similar to the pages generated by
 Apache's mod_autoindex.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

#export DH_VERBOSE=1

include /usr/share/dpkg/pkg-info.mk

BUILD_DATE  = $(shell LC_ALL=C date -u "+%d %B %Y" -d "@$(SOURCE_DATE_EPOCH)")
SPHINXOPTS := -E -N -D html_last_updated_fmt="$(BUILD_DATE)"

%:
	dh $@ --with=python3,sphinxdoc --buildsystem=pybuild

override_dh_sphinxdoc:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	python3 -m sphinx -b html $(SPHINXOPTS) docs $(CURDIR)/debian/python-flask-autoindex-doc/usr/share/doc/python-flask-autoindex-doc/html
	dh_sphinxdoc
endif

=== debian/watch ===
version=4

opts="mode=git, \
      pgpmode=none, \
      uversionmangle=s/(\d)[_\.\-\+]?((a|alpha|b|beta|dev|pre|RC|rc)\.?\d*)$/$1~$2/, \
      dversionmangle=s/\+ds(\.?\d+)?$//" \
https://github.com/general03/flask-autoindex.git \
      refs/tags/v(\d\S+)
